ControllerConfig (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class ControllerConfig

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.ControllerConfig

All Implemented Interfaces:
  Serializable

    public class ControllerConfig

extends BaseConfig

A JavaBean representing the configuration information of a `<controller>` element in a Struts configuration file.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-05-12 18:41:19 -0400 (Thu, 12 May 2005) $
See Also:
  Serialized Form

Field Summary
`protected int` | `bufferSize` The input buffer size for file uploads.
`protected String` | `catalog` The chain catalog name for this module.
`protected String` | `command` The chain command to execute for each request.
`protected String` | `contentType` The content type and character encoding to be set on each response.
`protected String` | `forwardPattern` The replacement pattern used to determine a context-relative URL from a `ForwardConfig` element.
`protected boolean` | `inputForward` Should the `input` property of `ActionConfig` instances associated with this module be treated as the name of a corresponding `ForwardConfig`.
`protected boolean` | `locale` Should we store a Locale object in the user's session if needed?
`protected String` | `maxFileSize` The maximum file size to process for file uploads.
`protected String` | `memFileSize` The maximum file size to retain in memory.
`protected String` | `multipartClass` The fully qualified Java class name of the MultipartRequestHandler class to be used.
`protected boolean` | `nocache` Should we set no-cache HTTP headers on each response?
`protected String` | `pagePattern` The replacement pattern used to determine a context-relative URL from the `page` attribute of Struts tags and configuration properties.
`protected String` | `processorClass` The fully qualified class name of the RequestProcessor implementation class to be used for this module.
`protected String` | `tempDir` The temporary working directory to use for file uploads.

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`ControllerConfig()`

Method Summary
`int` | `getBufferSize()`
`String` | `getCatalog()`
`String` | `getCommand()`
`String` | `getContentType()`
`String` | `getForwardPattern()`
`boolean` | `getInputForward()`
`boolean` | `getLocale()`
`String` | `getMaxFileSize()`
`String` | `getMemFileSize()`
`String` | `getMultipartClass()`
`boolean` | `getNocache()`
`String` | `getPagePattern()`
`String` | `getProcessorClass()`
`String` | `getTempDir()`
`void` | `setBufferSize(int bufferSize)`
`void` | `setCatalog(String catalog)`
`void` | `setCommand(String command)`
`void` | `setContentType(String contentType)`
`void` | `setForwardPattern(String forwardPattern)`
`void` | `setInputForward(boolean inputForward)`
`void` | `setLocale(boolean locale)`
`void` | `setMaxFileSize(String maxFileSize)`
`void` | `setMemFileSize(String memFileSize)`
`void` | `setMultipartClass(String multipartClass)`
`void` | `setNocache(boolean nocache)`
`void` | `setPagePattern(String pagePattern)`
`void` | `setProcessorClass(String processorClass)`
`void` | `setTempDir(String tempDir)`
`String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, freeze, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bufferSize

    protected int bufferSize

  The input buffer size for file uploads.

### contentType

    protected String contentType

  The content type and character encoding to be set on each response.

### catalog

    protected String catalog

  The chain catalog name for this module.

### command

    protected String command

  The chain command to execute for each request.

### forwardPattern

    protected String forwardPattern

  The replacement pattern used to determine a context-relative URL from a `ForwardConfig` element. The pattern may consist of any combination of the following markers and characters:

  - `$M` - Replaced by the module prefix for the current module.
  - `$P` - Replaced by the `path` property of a `ForwardConfig` instance.
  - `$$` - Renders a literal dollar sign ("$") character in the resulting URL.
  - A dollar sign followed by any other character is reserved for future use, and both characters are silently swallowed.
  - All other characters in the pattern are passed through unchanged.

  If this property is set to `null`, a default pattern of `$M$P` is utilized, which is backwards compatible with the hard coded functionality in prior versions.

### inputForward

    protected boolean inputForward

  Should the `input` property of `ActionConfig` instances associated with this module be treated as the name of a corresponding `ForwardConfig`. A `false` value treats them as a module-relative path (consistent with the hard coded behavior of earlier versions of Struts.

  Since:
    Struts 1.1

### locale

    protected boolean locale

  Should we store a Locale object in the user's session if needed?

### maxFileSize

    protected String maxFileSize

  The maximum file size to process for file uploads.

### memFileSize

    protected String memFileSize

  The maximum file size to retain in memory.

### multipartClass

    protected String multipartClass

  The fully qualified Java class name of the MultipartRequestHandler class to be used.

### nocache

    protected boolean nocache

  Should we set no-cache HTTP headers on each response?

### pagePattern

    protected String pagePattern

  The replacement pattern used to determine a context-relative URL from the `page` attribute of Struts tags and configuration properties. The pattern may consist of any combination of the following markers and characters:

  - `$M` - Replaced by the module prefix for the current module.
  - `$P` - Replaced by the `page` attribute value being evaluated.
  - `$$` - Renders a literal dollar sign ("$") character in the resulting URL.
  - A dollar sign followed by any other character is reserved for future use, and both characters are silently swallowed.
  - All other characters in the pattern are passed through unchanged.

  If this property is set to `null`, a default pattern of `$M$P` is utilized, which is backwards compatible with the hard coded functionality in prior versions.

### processorClass

    protected String processorClass

  The fully qualified class name of the RequestProcessor implementation class to be used for this module.

### tempDir

    protected String tempDir

  The temporary working directory to use for file uploads.

Constructor Detail

### ControllerConfig

    public ControllerConfig()

Method Detail

### getBufferSize

    public int getBufferSize()

### setBufferSize

    public void setBufferSize(int bufferSize)

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

### getCatalog

    public String getCatalog()

### setCatalog

    public void setCatalog(String catalog)

### getCommand

    public String getCommand()

### setCommand

    public void setCommand(String command)

### getForwardPattern

    public String getForwardPattern()

### setForwardPattern

    public void setForwardPattern(String forwardPattern)

### getInputForward

    public boolean getInputForward()

### setInputForward

    public void setInputForward(boolean inputForward)

### getLocale

    public boolean getLocale()

### setLocale

    public void setLocale(boolean locale)

### getMaxFileSize

    public String getMaxFileSize()

### setMaxFileSize

    public void setMaxFileSize(String maxFileSize)

### getMemFileSize

    public String getMemFileSize()

### setMemFileSize

    public void setMemFileSize(String memFileSize)

### getMultipartClass

    public String getMultipartClass()

### setMultipartClass

    public void setMultipartClass(String multipartClass)

### getNocache

    public boolean getNocache()

### setNocache

    public void setNocache(boolean nocache)

### getPagePattern

    public String getPagePattern()

### setPagePattern

    public void setPagePattern(String pagePattern)

### getProcessorClass

    public String getProcessorClass()

### setProcessorClass

    public void setProcessorClass(String processorClass)

### getTempDir

    public String getTempDir()

### setTempDir

    public void setTempDir(String tempDir)

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.